<script lang="ts">
  import { fly } from "svelte/transition";
  import { onDestroy } from "svelte";

  let resolve: any;
  let active = true;
  export const promise = new Promise((fulfil) => (resolve = fulfil));

  onDestroy(() => {
      active = false;
  });
</script>

{#if active}
  <div
      class="overflow-x-hidden overflow-y-auto fixed inset-0 z-50 outline-none focus:outline-none justify-center items-center flex"
  >
      <div class="relative h-screen w-full z-50 inset-0 overflow-y-auto">
          <div 
              class="absolute w-full h-full inset-0 bg-gray-500 opacity-75"
          />
          <div in:fly="{{ y: -100, duration: 1000 }}"
              class="flex items-center justify-center py-auto px-4 text-center h-full sm:block sm:p-0"
          >
              <span
                  class="hidden sm:inline-block sm:align-middle sm:h-screen"
                  aria-hidden="true"
              />
              <div
                  class="lg:w-1/2 w-full inline-block relative overflow-hidden transform transition-all sm:align-middle sm:max-w-lg"
                  role="dialog"
                  aria-modal="true"
                  aria-labelledby="modal-headline"
              >
                  <div>
                      <div
                          class="w-full flex bg-white justify-center rounded-t-xl"
                      >
                          <span class="block pt-6">
                              <h3
                                  class="font-bold text-3xl p-6 flex items-center text-gray-700 w-full justify-center"
                              >
                                  <div class="flex flex-col items-center">
                                      {@html $$props.title}
                                  </div>
                              </h3>
                          </span>
                      </div>
                      <div class="w-full flex justify-center">
                          <div
                              class="lg:mt-0 lg:flex-shrink-0 w-full bg-white p-4 rounded-b-xl"
                          >
                              <div
                                  class="flex items-center justify-between gap-4 w-full"
                              >
                                  <button
                                      id="b_ok"
                                      on:click={() => {
                                          resolve("confirm");
                                      }}
                                      class="w-full bg-blue-500 transition ease-in text-2xl font-semibold rounded-full text-white px-10 py-3 mt-2"
                                  >
                                      ตกลง
                                  </button>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
{/if}
